ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-14277) ambari-server doesn't compile with JDK8 due to findbug incompatibility
Date Fri, 11 Dec 2015 07:07:10 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-14277?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15052317#comment-15052317
] 

Hudson commented on AMBARI-14277:
---------------------------------

FAILURE: Integrated in Ambari-trunk-Commit #4012 (See [https://builds.apache.org/job/Ambari-trunk-Commit/4012/])
AMBARI-14277. Upgrade findbugs-maven-plugin version to 3.0.3 (Ajit kumar (smohanty: [http://git-wip-us.apache.org/repos/asf?p=ambari.git&a=commit&h=7923e59cd951b065011a87d97c83ed71135e5609])
* ambari-server/pom.xml
* ambari-shell/ambari-groovy-shell/src/test/java/org/apache/ambari/shell/support/TableRendererTest.java


> ambari-server doesn't compile with JDK8 due to findbug incompatibility
> ----------------------------------------------------------------------
>
>                 Key: AMBARI-14277
>                 URL: https://issues.apache.org/jira/browse/AMBARI-14277
>             Project: Ambari
>          Issue Type: Bug
>    Affects Versions: 2.1.0
>            Reporter: Ajit Kumar
>            Assignee: Ajit Kumar
>            Priority: Minor
>             Fix For: 2.3.0
>
>
> ambari-server is using old version of FindBugs which doesn't work with JDK8 https://netbeans.org/bugzilla/show_bug.cgi?id=243024.
findbugs-maven-plugin version should be updated from current version 2.5.2 to lastest version.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message